Subject: Re: [RFC net-next] generate boilerplate impls such as devlink_resource_register()

From: Jakub Kicinski <[email-masked]>
Date: Wed, 3 Jul 2024 17:51:11 -0700

On Wed, 3 Jul 2024 12:13:58 +0200 Przemek Kitszel wrote:
> I have and idea that boilerplate devlink_ wrappers over devl_ functions
> could be generated via short script, with the handcrafted .c code as the
> only input. Take for example the following [one line] added to 
> devlink/resource.c would replace the whole definition and kdoc, which 
> would be placed in the generated file in about the same form as the
> current code. This will be applied to all suitable functions of course.

How?

> The script will be short, but not so trivial to write it without prior
> RFC. For those wondering if I don't have better things to do: yes, but
> I have also some awk-time that will not be otherwise spend on more 
> serious stuff anyway :)

What's the exchange rate from awk-time to other types of time?